Bug 1462352 - Error from roles/openshift_metrics/tasks/install_cassandra.yaml:45
Error from roles/openshift_metrics/tasks/install_cassandra.yaml:45
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: ewolinet
Junqi Zhao
Depends On:
  Show dependency treegraph
Reported: 2017-06-16 15:52 EDT by Justin Pierce
Modified: 2017-08-16 15 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: As part of the RFE to be able to label pvs for pvc selectors, the default pvc selector was set to null but should have been an empty string. Consequence: The playbook fails if you do not provide a label to use Fix: The default is now '' Result: Playbook correctly runs to completion if you do not provide a pv label
Story Points: ---
Clone Of:
Last Closed: 2017-08-10 01:28:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Justin Pierce 2017-06-16 15:52:20 EDT
Description of problem:
During an upgrade of free-int cluster, received the following error:

TASK [openshift_metrics : generate hawkular-cassandra persistent volume claims (dynamic)] ***
task path: /home/opsmedic/aos-cd/tmp/tmp.zqPTE6bwRQ/openshift-ansible_extract/roles/openshift_metrics/tasks/install_cassandra.yaml:45
fatal: []: FAILED! => {
    "failed": true, 
    "msg": "the field 'vars' has an invalid value, which appears to include a variable that is undefined. The error was: {{ openshift_hosted_metrics_storage_labels | default(null) }}: 'null' is undefined\n\nThe error appears to have been in '/home/opsmedic/aos-cd/tmp/tmp.zqPTE6bwRQ/openshift-ansible_extract/roles/openshift_metrics/tasks/install_cassandra.yaml': line 45, column 3, but may\nbe elsewhere in the file depending on the exact syntax problem.\n\nThe offending line appears to be:\n\n\n- name: generate hawkular-cassandra persistent volume claims (dynamic)\n  ^ here\n"

PLAY RECAP *********************************************************************             : ok=82   changed=17   unreachable=0    failed=1   
localhost                  : ok=10   changed=0    unreachable=0    failed=0   

Version-Release number of selected component (if applicable):
oc v3.6.114
kubernetes v1.6.1+5115d708d7
features: Basic-Auth GSSAPI Kerberos SPNEGO

Server https://internal.api.free-int.openshift.com:443
openshift v3.6.114
kubernetes v1.6.1+5115d708d7

(upgrading from v3.6.104)

How reproducible:

Additional info:
Full log: https://atomic-e2e-jenkins.rhev-ci-vms.eng.rdu2.redhat.com/job/aos-cd/job/cluster%252Foperation/234/console
Comment 4 Junqi Zhao 2017-06-23 02:50:07 EDT
same error with https://bugzilla.redhat.com/show_bug.cgi?id=1463055
Comment 6 Junqi Zhao 2017-06-26 05:28:11 EDT
Tested on OCP, this issue is fixed.

# openshift version
openshift v3.6.122
kubernetes v1.6.1+5115d708d7
etcd 3.2.0

Comment 8 errata-xmlrpc 2017-08-10 01:28:09 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.